Commit b5c9cc60 authored by YannGarcia's avatar YannGarcia
Browse files

Add option to force removing Dockerfile.stfubuntu

parent d67b1176
#!/bin/bash
# Copyright ETSI 2018
# Copyright ETSI 2018-2021
# See: https://forge.etsi.org/etsi-forge-copyright-statement.txt
set -vx
......@@ -11,5 +11,5 @@ run_dir=`pwd`
# Docker version 2
cd docker
./build.sh
./build.sh --force-stfubuntu
#./run.sh
#!/bin/bash
# Copyright ETSI 2018-2020
# Copyright ETSI 2018-2021
# See: https://forge.etsi.org/etsi-forge-copyright-statement.txt
set -e
set -vx
#check and build stfubuntu image
if [ "$1" == "--force-stfubuntu"]
then
doker rmi `docker images -q stfubuntu`
fi
# Check and build stfubuntu image
if [ -z `docker images -q stfubuntu` ]; then
docker build --no-cache --tag stfubuntu:18.04 -f Dockerfile.stfubuntu --force-rm . || exit 1
docker build --no-cache --tag stfubuntu:18.04 -f Dockerfile.stfubuntu --force-rm . || exit 1
fi
docker build --no-cache --tag ttf_t012_mec --force-rm . || ( echo "Docker build failed: $?"; exit 1 )
......
......@@ -27,16 +27,6 @@ GEN_PDF=no
JDKDIR=$JAVA_HOME
EOF
echo -e "##########################################################"
if [ -f /usr/include/editline/readline.h ]
then
head /usr/include/editline/readline.h
else
echo -e "==> Missing editline package?????"
fi
echo -e "##########################################################"
make && make install || exit 1
# To be compiant with build_ttcn3.bash
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment